#include "viscosity.h"
#include <math.h>
#include "matrix.hxx"
#include "Cheb_vector.hxx"
#include "vimatrix.hxx"
#include "ocean.hxx"
#include "ekman.hxx"
#include "ekpanel.hxx"
#include "ocpanel.hxx"

extern void notify_dispatch();
/* 
-*++ main(): main loop for ekman pumping demo
** 
** (*++ history: 
** 	12 Jan 88	Bruce Eckel	Creation date
** ++*)
** 
** (*++ detailed: 
** ++*)
*/

main()
{
    ekman_layer ekman;
    int q;
    ocean_layer ocean;
    int c;
    ekpanel ekman_panel(ekman);
    ocpanel ocean_panel(ocean);

    while(1) {
	notify_dispatch();
	cout << "entering loop\n"; cout.flush();
	ekman.update(ekman_panel);
	cout << "ekman.update(ekman_panel);" << "\n"; cout.flush();
	ocean.update(ocean_panel, ekman);
	cout << "ocean.update(ocean_panel, ekman);" << "\n";cout.flush();
	ocean.step(ekman);
	cout << "ocean.step(ekman);" << "\n";cout.flush();
	ocean.diagnostics(ocean_panel);
	cout << "ocean.diagnostics(ocean_panel);" << "\n";cout.flush();
    }
}
